Bug 9246 - Upon running koha installer, mysql "Error 1166 at line 1871: Incorrect column name 'closed" appears and crashes install.
Summary: Upon running koha installer, mysql "Error 1166 at line 1871: Incorrect column...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: bugs.koha-community.org (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Marc Véron
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-07 21:21 UTC by scott kushner
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9246: Koha installer crash with mysql "Error 1166 at line 1871: Incorrect column name 'closed" (1.07 KB, patch)
2012-12-11 09:48 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 9246: Koha installer crash with mysql "Error 1166 at line 1871: Incorrect column name 'closed" (1.09 KB, patch)
2012-12-12 09:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9246: Koha installer crash with mysql "Error 1166 at line 1871: Incorrect column name 'closed" (1.14 KB, patch)
2012-12-12 18:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9246: [Passed QA] (1.22 KB, patch)
2012-12-12 18:06 UTC, Elliott Davis
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description scott kushner 2012-12-07 21:21:21 UTC
Fix: 

line 1923 in kohastructure.sql had whitespace between back tick on Column name "closed". 

Just remove space.
Comment 1 Marc Véron 2012-12-11 09:48:44 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-12-11 11:12:21 UTC
Tested my patch with a fresh install, without and with patch. Got error in step 3, with patch insaller runs fine.

Needs Signoff...
Comment 3 Jonathan Druart 2012-12-12 09:30:07 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2012-12-12 18:00:59 UTC Comment hidden (obsolete)
Comment 5 Elliott Davis 2012-12-12 18:06:16 UTC
Created attachment 14054 [details] [review]
Bug 9246: [Passed QA]

Bug 9246: Koha installer crash with mysql "Error 1166 at line 1871: Incorrect column name 'closed" [Passed QA] Reason: line 1923 in kohastructure.sql had whitespace between back tick on Column name "closed".

Patch removes white space on given line.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Elliott Davis <elliott@test.bywatersolutions.com>
Comment 6 Elliott Davis 2012-12-12 18:06:38 UTC
Works as advertised
Comment 7 Jared Camins-Esakov 2012-12-12 23:15:44 UTC
This patch has been pushed to master.